All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands.remotefileselector2
Class HttpSearchCommand

    com.sas.commands.remotefileselector2.HttpSearchCommand

All Implemented Interfaces:
  ContentsChangedInterface, DynamicAttributeCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class HttpSearchCommand

implements ContentsChangedInterface

This class updates the search attributes object for updating the latest values on the search viewer and to use for the search criteria.

Since:
  3.14

Field Summary
`static java.lang.String` | `RB_KEY` the resource key

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`HttpSearchCommand()` Constructor
`HttpSearchCommand(java.lang.String name)` Constructor that accepts a command name

Method Summary
`void` | `execute(java.lang.Object o)` Initiates the action to search the file system.
`java.util.Date` | `getEndDateTime()` Returns the end date for a range of dates to be searched.
`java.util.HashMap` | `getEventInfo()` Returns information about the command.
`java.lang.Object` | `getEventSource()` Returns the event source item "path".
`boolean` | `getRecursive()` Returns whether to search the subfolders recursively.
`RemoteFileSearchModelInterface` | `getRemoteModel()` Returns the model attribute value.
`RemoteFileSearchFieldsAttributes` | `getSearchAttributes()`
`java.lang.String` | `getSearchContext()` Returns the current column value used in searching.
`java.lang.String` | `getSearchDateTimeType()`
`java.lang.String` | `getSearchDateTimeUnit()`
`java.lang.String` | `getSearchDateTimeValue()`
`java.lang.String` | `getSearchText()` Returns the text string used as the search criteria.
`java.util.Date` | `getStartDateTime()` Returns the beginning date for a range of dates to be searched.
`java.lang.String` | `getStartingPath()` Returns the currently viewed file path attribute.
`BaseRemoteFileSearch` | `getViewer()`
`boolean` | `isContentsChanged()` Tests whether the contents are changed.
`void` | `setEndDateTime(java.util.Date endDate)` Sets the end date for a range of dates to be searched.
`void` | `setEventSource(java.lang.Object eventSource)` Allows setting of the event source.
`void` | `setRecursive(boolean recursive)` Sets whether to search subfolders recursively.
`void` | `setRemoteModel(RemoteFileSearchModelInterface remoteModel)` Sets the model attribute value.
`void` | `setSearchAttributes(RemoteFileSearchFieldsAttributes searchFieldsAttributes)`
`void` | `setSearchContext(java.lang.String searchContext)` Sets the column value to search against.
`void` | `setSearchDateTimeType(java.lang.String searchDateTimeType)`
`void` | `setSearchDateTimeUnit(java.lang.String searchDateTimeUnit)`
`void` | `setSearchDateTimeValue(java.lang.String searchDateTimeValue)`
`void` | `setSearchText(java.lang.String searchText)` Sets the text string used as the search criteria.
`void` | `setStartDateTime(java.util.Date startDate)` Sets the beginning date for a range of dates to be searched.
`void` | `setStartingPath(java.lang.String startingPath)` Sets the currently viewed file path attribute.
`void` | `setViewer(BaseRemoteFileSearch rfsSearch)`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

  the resource key

  See Also:
    Constant Field Values

Constructor Detail

### HttpSearchCommand

    public HttpSearchCommand()

  Constructor

### HttpSearchCommand

    public HttpSearchCommand(java.lang.String name)

  Constructor that accepts a command name

  Parameters:
    `name` - the command name

Method Detail

### execute

    public void execute(java.lang.Object o)

  Initiates the action to search the file system.

  Specified by:
    `execute` in interface `com.sas.util.SimpleCommand`
  Specified by:
    `execute` in class `BaseCommand`
  Parameters:
    `o` - the object where the command is executed.

### setViewer

    public void setViewer(BaseRemoteFileSearch rfsSearch)

### getViewer

    public BaseRemoteFileSearch getViewer()

### setSearchAttributes

    public void setSearchAttributes(RemoteFileSearchFieldsAttributes searchFieldsAttributes)

### getSearchAttributes

    public RemoteFileSearchFieldsAttributes getSearchAttributes()

### setSearchContext

    public void setSearchContext(java.lang.String searchContext)

  Sets the column value to search against.

  Parameters:
    `searchContext` - the column value
  See Also:
    `getSearchContext()`

### getSearchContext

    public java.lang.String getSearchContext()

  Returns the current column value used in searching.

  Returns:
    the current column value
  See Also:
    `setSearchContext(String)`

### setSearchText

    public void setSearchText(java.lang.String searchText)

  Sets the text string used as the search criteria.

  Parameters:
    `searchText` - the search string
  See Also:
    `getSearchText()`

### getSearchText

    public java.lang.String getSearchText()

  Returns the text string used as the search criteria.

  Returns:
    the search string
  See Also:
    `setSearchText(String)`

### setStartingPath

    public void setStartingPath(java.lang.String startingPath)

  Sets the currently viewed file path attribute.

  Parameters:
    `path` - the current file path
  See Also:
    `getStartingPath()`

### getStartingPath

    public java.lang.String getStartingPath()

  Returns the currently viewed file path attribute.

  Returns:
    the current file path
  See Also:
    `setStartingPath(String)`

### setRecursive

    public void setRecursive(boolean recursive)

  Sets whether to search subfolders recursively.

  Parameters:
    `recursive` - true = search subfolders, false = don't search subfolders
  See Also:
    `getRecursive()`

### getRecursive

    public boolean getRecursive()

  Returns whether to search the subfolders recursively.

  Returns:
    true = search subfolders, false = don't search subfolders
  See Also:
    `setRecursive(boolean)`

### setStartDateTime

    public void setStartDateTime(java.util.Date startDate)

  Sets the beginning date for a range of dates to be searched.

  Parameters:
    `startDate` - the starting date (inclusive)
  See Also:
    `getStartDateTime()`

### getStartDateTime

    public java.util.Date getStartDateTime()

  Returns the beginning date for a range of dates to be searched.

  Returns:
    the starting date (inclusive)
  See Also:
    `setStartDateTime(Date)`

### setEndDateTime

    public void setEndDateTime(java.util.Date endDate)

  Sets the end date for a range of dates to be searched.

  Parameters:
    `endDate` - the end date (inclusive)
  See Also:
    `getEndDateTime()`

### getEndDateTime

    public java.util.Date getEndDateTime()

  Returns the end date for a range of dates to be searched.

  Returns:
    the end date (inclusive)
  See Also:
    `setEndDateTime(Date)`

### setSearchDateTimeValue

    public void setSearchDateTimeValue(java.lang.String searchDateTimeValue)

### getSearchDateTimeValue

    public java.lang.String getSearchDateTimeValue()

### setSearchDateTimeUnit

    public void setSearchDateTimeUnit(java.lang.String searchDateTimeUnit)

### getSearchDateTimeUnit

    public java.lang.String getSearchDateTimeUnit()

### setSearchDateTimeType

    public void setSearchDateTimeType(java.lang.String searchDateTimeType)

### getSearchDateTimeType

    public java.lang.String getSearchDateTimeType()

### setRemoteModel

    public void setRemoteModel(RemoteFileSearchModelInterface remoteModel)

  Sets the model attribute value.

  Parameters:
    `model` - the model used by the command
  See Also:
    `getRemoteModel()`

### getRemoteModel

    public RemoteFileSearchModelInterface getRemoteModel()

  Returns the model attribute value.

  Returns:
    the model used by the command
  See Also:
    `setRemoteModel(com.sas.swing.models.remotefileselector2.RemoteFileSearchModelInterface)`

### isContentsChanged

    public boolean isContentsChanged()

  Tests whether the contents are changed.

  Specified by:
    `isContentsChanged` in interface `ContentsChangedInterface`
  Returns:
    true = contents are changed

### getEventInfo

    public java.util.HashMap getEventInfo()

  Returns information about the command.

  Specified by:
    `getEventInfo` in interface `ContentsChangedInterface`
  Returns:
    a HashMaP containing the path where the copy took place

### getEventSource

    public java.lang.Object getEventSource()

  Returns the event source item "path".

  Specified by:
    `getEventSource` in interface `ContentsChangedInterface`
  Returns:
    the event source
  See Also:
    `setEventSource(Object)`

### setEventSource

    public void setEventSource(java.lang.Object eventSource)

  Allows setting of the event source.

  Parameters:
    `eventSource` - the item to set as the event source
  See Also:
    `getEventSource()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.